/* --------------------------------------------- */
/* ▼モバイルファースト (全環境に共通のデザイン) */
/* --------------------------------------------- */
.pro_btn.full {
  padding: 8px 0px !important;
  width: 100%;
}
/*== ボタン共通設定 */
.pro_btn {
  /*アニメーションの起点とするためrelativeを指定*/
  position: relative;
  overflow: visible;
  /*ボタンの形状*/
  text-decoration: none;
  display: inline-block;
  border: 1px solid #DE3B00; /* ボーダーの色と太さ */
  background: #fff;
  padding: 5px 50px;
  text-align: center;
  outline: none;
  /*アニメーションの指定*/
  transition: ease .2s;
  border-radius: 30px;
}
.pro_btn img {
  position: absolute;
  top: 15px;
  right: -20px;
  width: 30px !important; /*幅*/
  z-index: 3;
}
/*ボタン内spanの形状*/
.pro_btn span {
  position: relative;
  z-index: 3; /*z-indexの数値をあげて文字を背景よりも手前に表示*/
  color: #DE3B00 !important;
}
.pro_btn:hover span {
  color: #fff !important;
}
/*== 背景が流れる（左から右） */
.bgleft:before {
  content: '';
  /*絶対配置で位置を指定*/
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
  /*色や形状*/
  background: #DE3B00; /*背景色*/
  width: 100%;
  height: 100%;
  /*アニメーション*/
  transition: transform .6s cubic-bezier(0.8, 0, 0.2, 1) 0s;
  transform: scale(0, 1);
  transform-origin: right top;
  border-radius: 30px;
}
/*hoverした際の形状*/
.bgleft:hover:before {
  transform-origin: left top;
  transform: scale(1, 1);
}
.pro_btn_more.f15 {
  font-size: 1.5rem;
  padding: 5px 0;
  width: 100%;
}
.pro_btn_more {
  /*アニメーションの起点とするためrelativeを指定*/
  position: relative;
  overflow: visible;
  /*ボタンの形状*/
  text-decoration: none;
  display: inline-block;
  border: 1px solid #006F89; /* ボーダーの色と太さ */
  background: #006F89;
  padding: 3px 20px;
  text-align: center;
  outline: none;
  /*アニメーションの指定*/
  transition: ease .2s;
  border-radius: 30px;
  font-size: 1.1rem;
}
/*ボタン内spanの形状*/
.pro_btn_more span {
  position: relative;
  z-index: 3; /*z-indexの数値をあげて文字を背景よりも手前に表示*/
  color: #fff !important;
}
.pro_btn_more:hover span {
  color: #006F89 !important;
}
/*== 背景が流れる（左から右） */
.bgleft_more:before {
  content: '';
  /*絶対配置で位置を指定*/
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
  /*色や形状*/
  background: #fff; /*背景色*/
  width: 100%;
  height: 100%;
  /*アニメーション*/
  transition: transform .6s cubic-bezier(0.8, 0, 0.2, 1) 0s;
  transform: scale(0, 1);
  transform-origin: right top;
  border-radius: 30px;
}
/*hoverした際の形状*/
.bgleft_more:hover:before {
  transform-origin: left top;
  transform: scale(1, 1);
}
/*== 背景が流れる（左から右） */
.bgleft2:before {
  content: '';
  /*絶対配置で位置を指定*/
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
  /*色や形状*/
  background: #DE3B00; /*背景色*/
  width: 100%;
  height: 100%;
  /*アニメーション*/
  transition: transform .3s cubic-bezier(0.8, 0, 0.2, 1) 0s;
  transform: scale(0, 1);
  transform-origin: right top;
}
/*hoverした際の形状*/
.bgleft2:hover:before {
  transform-origin: left top;
  transform: scale(1, 1);
}
/* ------------------------------------ */
/* ▼PC用デザインとして付け足すデザイン */
/* ------------------------------------ */
@media all and (min-width: 768px) {
  .pro_btn_more {
    padding: 3px 40px;
    font-size: 1.4rem;
  }
}